/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package webfly.Vsitas;
import webfly.Utileria.FondoPanel;
/**
 *
 * @author SAMAELCAMARGO
 */
public class AerolineaFormularioVista extends javax.swing.JFrame {

    /**
     * Creates new form CiudadFormularioVista
     */
    public AerolineaFormularioVista() {
        initComponents();
        setVisible(true);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jPAerolinea = new javax.swing.JPanel();
        jLFormularioAerolinea = new javax.swing.JLabel();
        jLInformacionAerolinea = new javax.swing.JLabel();
        jLLogoAerolinea = new javax.swing.JLabel();
        jTFNombreAerolinea = new javax.swing.JTextField();
        jLNombreAerolinea = new javax.swing.JLabel();
        jTFRUTAerolinea1 = new javax.swing.JTextField();
        jTFTelefonoerolinea2 = new javax.swing.JTextField();
        jLTelefonoAerolinea = new javax.swing.JLabel();
        jLRUTAerolinea = new javax.swing.JLabel();
        jBRegistrarAerolinea = new javax.swing.JButton();
        jBCancelar = new javax.swing.JButton();
        jPLogoAerolinea = new FondoPanel("/webfly/Imagenes/aerolinea.png");

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Formulario Registro Aerolinea");
        setBackground(new java.awt.Color(255, 255, 255));
        setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        setExtendedState(6);
        setSize(new java.awt.Dimension(800, 450));

        jPanel1.setBackground(new java.awt.Color(153, 153, 153));
        jPanel1.setForeground(new java.awt.Color(0, 255, 255));

        jPAerolinea.setBackground(new java.awt.Color(255, 255, 255));

        jLFormularioAerolinea.setFont(new java.awt.Font("Calibri", 0, 32)); // NOI18N
        jLFormularioAerolinea.setForeground(new java.awt.Color(68, 144, 255));
        jLFormularioAerolinea.setText("Formulario para registrar la aerolínea");

        jLInformacionAerolinea.setFont(new java.awt.Font("Calibri", 0, 24)); // NOI18N
        jLInformacionAerolinea.setForeground(new java.awt.Color(68, 144, 255));
        jLInformacionAerolinea.setText("Información de la aerolínea");

        jLLogoAerolinea.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jLLogoAerolinea.setText("Logo");

        jTFNombreAerolinea.setFont(new java.awt.Font("Corbel", 0, 17)); // NOI18N

        jLNombreAerolinea.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jLNombreAerolinea.setText("Nombre");

        jTFRUTAerolinea1.setFont(new java.awt.Font("Corbel", 0, 17)); // NOI18N
        jTFRUTAerolinea1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTFRUTAerolinea1ActionPerformed(evt);
            }
        });

        jTFTelefonoerolinea2.setFont(new java.awt.Font("Corbel", 0, 17)); // NOI18N

        jLTelefonoAerolinea.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jLTelefonoAerolinea.setText("Teléfono");

        jLRUTAerolinea.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jLRUTAerolinea.setText("RUT");

        jBRegistrarAerolinea.setBackground(new java.awt.Color(68, 144, 255));
        jBRegistrarAerolinea.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jBRegistrarAerolinea.setForeground(new java.awt.Color(255, 255, 255));
        jBRegistrarAerolinea.setText("Registrar");

        jBCancelar.setBackground(new java.awt.Color(68, 144, 255));
        jBCancelar.setFont(new java.awt.Font("Calibri", 0, 18)); // NOI18N
        jBCancelar.setForeground(new java.awt.Color(255, 255, 255));
        jBCancelar.setText("Cancelar");

        javax.swing.GroupLayout jPLogoAerolineaLayout = new javax.swing.GroupLayout(jPLogoAerolinea);
        jPLogoAerolinea.setLayout(jPLogoAerolineaLayout);
        jPLogoAerolineaLayout.setHorizontalGroup(
            jPLogoAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 180, Short.MAX_VALUE)
        );
        jPLogoAerolineaLayout.setVerticalGroup(
            jPLogoAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 126, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout jPAerolineaLayout = new javax.swing.GroupLayout(jPAerolinea);
        jPAerolinea.setLayout(jPAerolineaLayout);
        jPAerolineaLayout.setHorizontalGroup(
            jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPAerolineaLayout.createSequentialGroup()
                .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                        .addGap(52, 52, 52)
                        .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPAerolineaLayout.createSequentialGroup()
                                .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPAerolineaLayout.createSequentialGroup()
                                        .addComponent(jLTelefonoAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, 120, javax.swing.GroupLayout.PREFERRED_SIZE)
                                        .addGap(0, 16, Short.MAX_VALUE))
                                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                                        .addComponent(jLRUTAerolinea, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                        .addGap(6, 6, 6)))
                                .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                    .addComponent(jTFRUTAerolinea1, javax.swing.GroupLayout.PREFERRED_SIZE, 230, javax.swing.GroupLayout.PREFERRED_SIZE)
                                    .addComponent(jTFTelefonoerolinea2, javax.swing.GroupLayout.PREFERRED_SIZE, 230, javax.swing.GroupLayout.PREFERRED_SIZE)))
                            .addComponent(jLInformacionAerolinea)
                            .addGroup(jPAerolineaLayout.createSequentialGroup()
                                .addComponent(jLNombreAerolinea, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jTFNombreAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, 230, javax.swing.GroupLayout.PREFERRED_SIZE)))
                        .addGap(38, 38, 38))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPAerolineaLayout.createSequentialGroup()
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(jBRegistrarAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(62, 62, 62)))
                .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                        .addGap(21, 21, 21)
                        .addComponent(jLLogoAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, 50, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(30, 30, 30)
                        .addComponent(jPLogoAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                        .addGap(1, 1, 1)
                        .addComponent(jBCancelar, javax.swing.GroupLayout.PREFERRED_SIZE, 100, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addGap(106, 106, 106))
            .addGroup(jPAerolineaLayout.createSequentialGroup()
                .addGap(149, 149, 149)
                .addComponent(jLFormularioAerolinea)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jPAerolineaLayout.setVerticalGroup(
            jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPAerolineaLayout.createSequentialGroup()
                .addGap(37, 37, 37)
                .addComponent(jLFormularioAerolinea)
                .addGap(64, 64, 64)
                .addComponent(jLInformacionAerolinea)
                .addGap(18, 18, 18)
                .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                        .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLLogoAerolinea)
                            .addComponent(jLNombreAerolinea)
                            .addComponent(jTFNombreAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTFRUTAerolinea1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLRUTAerolinea))
                        .addGap(18, 18, 18)
                        .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTFTelefonoerolinea2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLTelefonoAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, 23, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(18, 18, 18)
                        .addGroup(jPAerolineaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jBRegistrarAerolinea)
                            .addComponent(jBCancelar))
                        .addGap(18, 18, 18))
                    .addGroup(jPAerolineaLayout.createSequentialGroup()
                        .addComponent(jPLogoAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))))
        );

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap(38, Short.MAX_VALUE)
                .addComponent(jPAerolinea, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(50, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel1Layout.createSequentialGroup()
                .addContainerGap(24, Short.MAX_VALUE)
                .addComponent(jPAerolinea, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap(44, Short.MAX_VALUE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jTFRUTAerolinea1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTFRUTAerolinea1ActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_jTFRUTAerolinea1ActionPerformed
    
   
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jBCancelar;
    private javax.swing.JButton jBRegistrarAerolinea;
    private javax.swing.JLabel jLFormularioAerolinea;
    private javax.swing.JLabel jLInformacionAerolinea;
    private javax.swing.JLabel jLLogoAerolinea;
    private javax.swing.JLabel jLNombreAerolinea;
    private javax.swing.JLabel jLRUTAerolinea;
    private javax.swing.JLabel jLTelefonoAerolinea;
    private javax.swing.JPanel jPAerolinea;
    private javax.swing.JPanel jPLogoAerolinea;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JTextField jTFNombreAerolinea;
    private javax.swing.JTextField jTFRUTAerolinea1;
    private javax.swing.JTextField jTFTelefonoerolinea2;
    // End of variables declaration//GEN-END:variables
}
